Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class CanonicalGrantee

    java.lang.Object
      com.amazonaws.services.s3.model.CanonicalGrantee

All Implemented Interfaces:
  Grantee

    public class CanonicalGrantee

extends Object
implements Grantee

Represents a grantee identified by their canonical Amazon ID, which is something along the lines of an Amazon-internal ID specific to a user. For example, Amazon can map a grantee identified by an email address to a canonical ID.

Canonical grantees may have an associated Display Name, which is a human-friendly name that Amazon has linked to the canonical ID (eg the user's login name).

Constructor Summary
`CanonicalGrantee(String identifier)` Constructs a grantee with the given canonical ID.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getDisplayName()`
`String` | `getIdentifier()` Returns the identifier for this grantee.
`int` | `hashCode()`
`void` | `setDisplayName(String displayName)`
`void` | `setIdentifier(String id)` Sets the identifier for this grantee.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CanonicalGrantee

    public CanonicalGrantee(String identifier)

  Constructs a grantee with the given canonical ID.

  Parameters:
    `identifier` -

Method Detail

### setIdentifier

    public void setIdentifier(String id)

  Description copied from interface: `Grantee`
  Sets the identifier for this grantee. The meaning of the identifier is specific to each implementation of the Grantee.

  Specified by:
    `setIdentifier` in interface `Grantee`
  Parameters:
    `id` - The identifier for this grantee.

### getIdentifier

    public String getIdentifier()

  Description copied from interface: `Grantee`
  Returns the identifier for this grantee. The meaning of the grantee identifier is specific to each implementation of the Grantee.

  Specified by:
    `getIdentifier` in interface `Grantee`
  Returns:
    The identifier for this grantee.

### setDisplayName

    public void setDisplayName(String displayName)

### getDisplayName

    public String getDisplayName()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.